Merge Contacts
curl --request POST \
--url https://integration.getmateo.com/api/v1/contact/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"v_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"v_into_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://integration.getmateo.com/api/v1/contact/merge"
payload = {
"v_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"v_into_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
v_from_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
v_into_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://integration.getmateo.com/api/v1/contact/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/contact/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'v_from_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'v_into_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/contact/merge"
payload := strings.NewReader("{\n \"v_from_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"v_into_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integration.getmateo.com/api/v1/contact/merge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"v_from_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"v_into_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/contact/merge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"v_from_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"v_into_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"display_name": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true,
"whatsapp_transactional_opt_in": "legitimate_interest",
"sms_transactional_opt_in": "legitimate_interest",
"email_transactional_opt_in": "legitimate_interest",
"facebook_transactional_opt_in": "legitimate_interest",
"instagram_transactional_opt_in": "legitimate_interest",
"google_business_messaging_transactional_opt_in": "legitimate_interest",
"postal_transactional_opt_in": "legitimate_interest"
}Contact
Merge Contacts
Merge two contacts into a new one
Merge Contacts
curl --request POST \
--url https://integration.getmateo.com/api/v1/contact/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"v_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"v_into_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://integration.getmateo.com/api/v1/contact/merge"
payload = {
"v_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"v_into_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
v_from_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
v_into_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://integration.getmateo.com/api/v1/contact/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integration.getmateo.com/api/v1/contact/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'v_from_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'v_into_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://integration.getmateo.com/api/v1/contact/merge"
payload := strings.NewReader("{\n \"v_from_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"v_into_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integration.getmateo.com/api/v1/contact/merge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"v_from_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"v_into_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://integration.getmateo.com/api/v1/contact/merge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"v_from_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"v_into_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"fts": "<string>",
"is_blocked": false,
"external_id": "<string>",
"secondary_external_id": "<string>",
"birthday": "2023-12-25",
"salutation": "<string>",
"email": "<string>",
"sms": "<string>",
"whatsapp": "<string>",
"instagram": "<string>",
"facebook": "<string>",
"display_name": "<string>",
"google_business_messaging": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"zipcode": "<string>",
"country": "<string>",
"postal": "<string>",
"number_of_marketing_opt_in_requests": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"campaign_messages_this_month": 123,
"whatsapp_marketing_opt_in": false,
"sms_marketing_opt_in": false,
"email_marketing_opt_in": false,
"facebook_marketing_opt_in": false,
"instagram_marketing_opt_in": false,
"google_business_messaging_marketing_opt_in": false,
"postal_marketing_opt_in": true,
"whatsapp_transactional_opt_in": "legitimate_interest",
"sms_transactional_opt_in": "legitimate_interest",
"email_transactional_opt_in": "legitimate_interest",
"facebook_transactional_opt_in": "legitimate_interest",
"instagram_transactional_opt_in": "legitimate_interest",
"google_business_messaging_transactional_opt_in": "legitimate_interest",
"postal_transactional_opt_in": "legitimate_interest"
}Authorizations
Body
application/jsonapplication/vnd.pgrst.object+json;nulls=strippedapplication/vnd.pgrst.object+jsontext/csv
Response
200 - application/json
Contact merged successfully